; ==============================================================================
;	MSX-DOS Function
; ==============================================================================

BDOS				:= 0x0005
DMA					:= 0x0080

; ==============================================================================
;	Terminate program
;	input)
;		C = D1F_TERM0
;	output)
;		--
; ==============================================================================
D1F_TERM0			:= 0x00

; ==============================================================================
;	Console input
;	input)
;		C = D1F_CONIN
;	output)
;		A = ͂ꂽ
;		L = AƓ
;	comment)
;		Wo͂ɃGR[
; ==============================================================================
D1F_CONIN			:= 0x01

; ==============================================================================
;	Console output
;	input)
;		C = D1F_CONOUT
;		E = o͂镶
;	output)
;		--
; ==============================================================================
D1F_CONOUT			:= 0x02

D1F_AUXIN			:= 0x03
D1F_AUXOUT			:= 0x04
D1F_LSTOUT			:= 0x05
D1F_DIRIO			:= 0x06
D1F_DIRIN			:= 0x07
D1F_INNOE			:= 0x08
D1F_STROUT			:= 0x09
D1F_BUFIN			:= 0x0A
D1F_CONST			:= 0x0B
D1F_CPMVER			:= 0x0C
D1F_DSKRST			:= 0x0D
D1F_SELDSK			:= 0x0E
D1F_FOPEN			:= 0x0F
D1F_FCLOSE			:= 0x10
D1F_SFIRST			:= 0x11
D1F_SNEXT			:= 0x12
D1F_FDEL			:= 0x13
D1F_RDSEQ			:= 0x14
D1F_WRSEQ			:= 0x15
D1F_FMAKE			:= 0x16
D1F_FREN			:= 0x17
D1F_LOGIN			:= 0x18
D1F_CURDRV			:= 0x19
D1F_SETDTA			:= 0x1A
D1F_ALLOC			:= 0x1B

D1F_RDRND			:= 0x21
D1F_WRRND			:= 0x22
D1F_FSIZE			:= 0x23
D1F_SETRND			:= 0x24

D1F_WRBLK			:= 0x26
D1F_RDBLK			:= 0x27
D1F_WRZER			:= 0x28

D1F_GDATE			:= 0x2A
D1F_SDATE			:= 0x2B
D1F_GTIME			:= 0x2C
D1F_STIME			:= 0x2D
D1F_VERIFY			:= 0x2E
D1F_RDABS			:= 0x2F
D1F_WRABS			:= 0x30
D1F_DPARM			:= 0x31
